#ifndef COMMOM_H
#define COMMOM_H

/* Scheduler include files. */
#include "FreeRTOS.h"
#include "task.h"
#include "semphr.h"

#include "hardware/pio.h"

static inline bool uart_rx_program_available(PIO pio, uint sm)
{
    return !pio_sm_is_rx_fifo_empty(pio, sm);
}

#endif
